<template>
	<el-card shadow="hover" header="版本信息">
		<el-descriptions border :column="1">
			<el-descriptions-item :label="item.label" v-for="(item, index) in verInfo" :key="index">{{item.values}}</el-descriptions-item>
		</el-descriptions>
	</el-card>
</template>

<script>
	export default {
		title: "版本信息",
		icon: "el-icon-monitor",
		description: "当前项目版本信息",
		data() {
			return {
				verInfo: []
			}
		},
		mounted() {
			this.getVer()
		},
		methods: {
			async getVer(){
				const ver = await this.$API.system.version.get()
				this.verInfo = ver.data
			},
			golog(){
				// window.open("https://gitee.com/lolicode/scui/releases")
			},
			gogit(){
				// window.open("https://gitee.com/lolicode/scui")
			}
		}
	}
</script>
